Package org.opensaml.saml.saml2.core.impl

# Class KeyInfoConfirmationDataTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.SubjectConfirmationDataImpl
org.opensaml.saml.saml2.core.impl.KeyInfoConfirmationDataTypeImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `KeyInfoConfirmationDataType`, `SubjectConfirmationData`

public class KeyInfoConfirmationDataTypeImpl extends SubjectConfirmationDataImpl implements KeyInfoConfirmationDataType
Concrete implementation of `KeyInfoConfirmationDataType`.

## Field Summary

### Fields inherited from interface org.opensaml.saml.saml2.core.KeyInfoConfirmationDataType

`TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.core.SubjectConfirmationData

`ADDRESS_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, IN_RESPONSE_TO_ATTRIB_NAME, NOT_BEFORE_ATTRIB_NAME, NOT_BEFORE_ATTRIB_QNAME, NOT_ON_OR_AFTER_ATTRIB_NAME, NOT_ON_OR_AFTER_ATTRIB_QNAME, RECIPIENT_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`KeyInfoConfirmationDataTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getKeyInfos()`
Get the list of child KeyInfo elements.

### Methods inherited from class org.opensaml.saml.saml2.core.impl.SubjectConfirmationDataImpl

`getAddress, getInResponseTo, getNotBefore, getNotOnOrAfter, getOrderedChildren, getRecipient, getUnknownAttributes, getUnknownXMLObjects, getUnknownXMLObjects, setAddress, setInResponseTo, setNotBefore, setNotOnOrAfter, setRecipient`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.saml.saml2.core.SubjectConfirmationData

`getAddress, getInResponseTo, getNotBefore, getNotOnOrAfter, getRecipient, setAddress, setInResponseTo, setNotBefore, setNotOnOrAfter, setRecipient`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Constructor Details

### KeyInfoConfirmationDataTypeImpl

protected KeyInfoConfirmationDataTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getKeyInfos

@Nonnull @Live public List<XMLObject> getKeyInfos()
Get the list of child KeyInfo elements.

Specified by:
  `getKeyInfos` in interface `KeyInfoConfirmationDataType`
Returns:
  list of child KeyInfo elements